/*
 * defaults.h	This provides the defaults and the command line argument
 *		database for tclock.
 *
 * Copyright (C) 1991 Rob Mayoff.
 *
 * E-mail: mayoff@ccwf.cc.utexas.edu
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */ 

char *tclockDefaults =
"\
Tclock.Scale:			1\n\
Tclock.Border:			white\n\
Tclock.Background:		black\n\
Tclock.BorderWidth:		0\n\
\
Tclock.Hour.Tip.Radius:		60\n\
Tclock.Hour.Tip.Offset:		0\n\
Tclock.Hour.Right.Radius:	20\n\
Tclock.Hour.Right.Offset:	26\n\
Tclock.Hour.Middle.Radius:	10\n\
Tclock.Hour.Middle.Offset:	30\n\
Tclock.Hour.Left.Radius:	20\n\
Tclock.Hour.Left.Offset:	34\n\
\
Tclock.Minute.Tip.Radius:	100\n\
Tclock.Minute.Tip.Offset:	0\n\
Tclock.Minute.Right.Radius:	20\n\
Tclock.Minute.Right.Offset:	26\n\
Tclock.Minute.Middle.Radius:	10\n\
Tclock.Minute.Middle.Offset:	30\n\
Tclock.Minute.Left.Radius:	20\n\
Tclock.Minute.Left.Offset:	34\n\
\
Tclock.Second.Tip.Radius:	100\n\
Tclock.Second.Tip.Offset:	0\n\
Tclock.Second.Right.Radius:	3\n\
Tclock.Second.Right.Offset:	26\n\
Tclock.Second.Middle.Radius:	30\n\
Tclock.Second.Middle.Offset:	30\n\
Tclock.Second.Left.Radius:	3\n\
Tclock.Second.Left.Offset:	34\n\
\
Tclock.Tick.Radius:		95\n\
Tclock.Tick.Size:		4\n\
";

#define SEP	XrmoptionSepArg
#define XRM	XrmoptionResArg

XrmOptionDescRec option[] =
{
  { "-background",	".background",		SEP, 0 },
  { "-bg",		".background",		SEP, 0 },
  { "-border",		".border",		SEP, 0 },
  { "-borderWidth",	".borderWidth",		SEP, 0 },
  { "-display",		".display",		SEP, 0 },
  { "-geometry",	".geometry",		SEP, 0 },
  { "-scale",		".scale",		SEP, 0 },
  { "-tickradius",	".tick.radius",		SEP, 0 },
  { "-ticksize",	".tick.size",		SEP, 0 },
  { "-width",		".borderWidth",		SEP, 0 },
  { "-xrm",		0,			XRM, 0 },
};
int	numOptions = (sizeof option)/(sizeof(XrmOptionDescRec));

